package ru.amster.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-03-15T11:52:47.183+03:00
 * Generated source version: 3.2.7
 */
@WebService(targetNamespace = "http://endpoint.tm.amster.ru/", name = "TaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface TaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByIdRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByIdResponse")
    @RequestWrapper(localName = "removeTaskById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskById")
    @ResponseWrapper(localName = "removeTaskByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByIdResponse")
    public void removeTaskById(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/updateTaskByIdRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/updateTaskByIdResponse")
    @RequestWrapper(localName = "updateTaskById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateTaskById")
    @ResponseWrapper(localName = "updateTaskByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateTaskByIdResponse")
    public void updateTaskById(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/numberOfAllTasksRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/numberOfAllTasksResponse")
    @RequestWrapper(localName = "numberOfAllTasks", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.NumberOfAllTasks")
    @ResponseWrapper(localName = "numberOfAllTasksResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.NumberOfAllTasksResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.Long numberOfAllTasks(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByNameRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByNameResponse")
    @RequestWrapper(localName = "removeTaskByName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByName")
    @ResponseWrapper(localName = "removeTaskByNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByNameResponse")
    public void removeTaskByName(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByNameRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByNameResponse")
    @RequestWrapper(localName = "findTaskByName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByName")
    @ResponseWrapper(localName = "findTaskByNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.TaskDTO findTaskByName(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithThreeParamTaskRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithThreeParamTaskResponse")
    @RequestWrapper(localName = "createWithThreeParamTask", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamTask")
    @ResponseWrapper(localName = "createWithThreeParamTaskResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamTaskResponse")
    public void createWithThreeParamTask(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByIdRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByIdResponse")
    @RequestWrapper(localName = "findTaskById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskById")
    @ResponseWrapper(localName = "findTaskByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.TaskDTO findTaskById(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithTwoParamTaskRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithTwoParamTaskResponse")
    @RequestWrapper(localName = "createWithTwoParamTask", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithTwoParamTask")
    @ResponseWrapper(localName = "createWithTwoParamTaskResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithTwoParamTaskResponse")
    public void createWithTwoParamTask(
            @WebParam(name = "sessionSecret", targetNamespace = "")
                    java.lang.String sessionSecret,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findAllTaskRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findAllTaskResponse")
    @RequestWrapper(localName = "findAllTask", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllTask")
    @ResponseWrapper(localName = "findAllTaskResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.amster.tm.endpoint.TaskDTO> findAllTask(
            @WebParam(name = "session", targetNamespace = "")
                    java.lang.String session
    );
}
